<bugID>665278<Summary>Security exploit? Website installing viruses</Summary><Description>User-Agent:       Mozilla/5.0 (Windows NT 6.1; rv:2.0.1) Gecko/20100101 Firefox/4.0.1
Build Identifier: Mozilla/5.0 (Windows NT 6.1; rv:2.0.1) Gecko/20100101 Firefox/4.0.1

Try browsing wallpapers on hugewallpaper.com
Ocassionally some .exe is downloaded into your temp folder and is automatically run, closing the browser and when you open it you can't visit any websites.
There are other websites that do similar thing, but this time I really experimented with it just to report the problem.

Reproducible: Sometimes

Steps to Reproduce:
1. Just click around the website http://www.hugewallpaper.com
2.
3.

Actual Results:  
An .exe is downloaded and automatically run. They are viruses such as Win 7 antivirus, some antimalware, etc (can't remember exact names)

Expected Results:  
Block .exe from being downloaded and run automatically I suppose?

Thank you :)</Description></bugID>